# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ApprovalRole Class Reference

`#include <StepBasic_ApprovalRole.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_ApprovalRole ()
| Returns a ApprovalRole .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRole)
Standard_EXPORT void | SetRole (const Handle(TCollection_HAsciiString)&aRole)
Standard_EXPORT Handle_TCollection_HAsciiString | Role () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | role

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ApprovalRole::StepBasic_ApprovalRole | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_ApprovalRole::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepBasic_ApprovalRole::Init | ( | const Handle(TCollection_HAsciiString)& | aRole | ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ApprovalRole::Role | ( |  | ) | const

Standard_EXPORT void StepBasic_ApprovalRole::SetRole | ( | const Handle(TCollection_HAsciiString)& | aRole | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_ApprovalRole::role `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ApprovalRole.hxx